clc
clear all
close all

load('R_cap_mean.mat'); %radius capsule in pixel
load('R_core_mean.mat'); %radius core in pixel

cf = 4.27; %um/px  

%% radius core

A_core = round(R_core_mean.*cf);
x_core = unique(A_core);
N_core = numel(x_core);
c_core = zeros(N_core,1);
for k_core = 1:N_core;
    c_core(k_core) = sum(A_core==x_core(k_core));
end
%disp([ x_core(:) c_core ]);

[PDF,mu,sd] = get_PDFandGaussianFit_v2_core(x_core',c_core,[0 300],0:50:300);

me_coreR = mu;
std_coreR = sd;

%% radius shell
r_sh = R_cap_mean - R_core_mean;

A_sh = round(r_sh.*cf);
x_sh = unique(A_sh);
N_sh = numel(x_sh);
c_sh = zeros(N_sh,1);
for k_sh = 1:N_sh;
    c_sh(k_sh) = sum(A_sh==x_sh(k_sh));
end
%disp([ x_sh(:) c_sh ]);

[PDF,mu,sd] = get_PDFandGaussianFit_v2_shel(x_sh',c_sh,[0 300],0:50:300);

me_shR = mu;
std_shR = sd;

%% radius shell
A_cap = round(R_cap_mean.*cf); %%all sizes
x_cap = unique(A_cap);  %removed repeated sizes
N_cap = numel(x_cap);
c_cap = zeros(N_cap,1);
for k_cap = 1:N_cap;    %counting repetition of sizes
    c_cap(k_cap) = sum(A_cap==x_cap(k_cap));
end
%disp([ x_cap(:) c_cap ]);

[PDF,mu,sd] = get_PDFandGaussianFit_v2(x_cap',c_cap,[0 300],0:50:300);

me_capR = mu;
std_capR = sd;

xticks([0:50:300])
ylim([0 0.16])

%%
mecapR = round(mean(A_cap))
stdcapR = round(std(A_cap))

mecoreR = round(mean(A_core))
stdcoreR = round(std(A_core))

meshR = round(mean(A_sh))
stdshR = round(std(A_sh))



%%
f = figure(35);  
f.Position = [10 10 800 400]; 
%f.Position = [1025 716 317 124]


