clc
clear all
close all

%Video number	Continuous phase (psi)	Shell phase (bar)	Disperse phase (mbar)	catogry exp	r_cap	r_core	r_shel	std_cou	std_core	std_she

AB = readmatrix('Book4.xlsx');

AB_2 = AB(:,3).*68.9476; %Continuous phase (psi) >>mbar
AB_3 = AB(:,4).*1000; %Shell phase (bar) >>> mbar
AB_4 = AB(:,5); %Disperse phase (mbar)
AB_5 = AB(:,6); %catogry exp
AB_6 = AB(:,7); %r_cap	
AB_7 = AB(:,8); %r_core	
AB_8 = AB(:,9); %r_shel	
AB_9 = AB(:,10); %std_cap
AB_10 = AB(:,11);   %std_core	
AB_11 = AB(:,12);   %std_she

%r_sh = AB_6.*((1-(AB_7.^3./AB_6.^3)).^(1/3));

%%

figure (5); 
scatter(AB_4(2:6)./(AB_3(2:6)),AB_6(2:6), 200, 'filled','squarek')  
hold all
errorbar(AB_4(2:6)./AB_3(2:6),AB_6(2:6), AB_9(2:6),'.','LineWidth', 2,'Color',[0 0 0]);
scatter(AB_4(7:11)./(AB_3(7:11)),AB_6(7:11), 200,'filled', 'or') 
errorbar(AB_4(7:11)./AB_3(7:11),AB_6(7:11), AB_9(7:11),'.','LineWidth', 2,'Color',[1 0 0]);

set(gca,'FontSize',24, 'FontName', 'Arial');
xlabel('$\frac{P_{core}}{P_{shell}}$', 'Interpreter', 'latex','FontSize',32);
ylabel('$r_{drop} (\mu m)$', 'Interpreter', 'latex', 'FontSize', 28);
%xlabel('$r (\mu m)$','Interpreter','latex','FontSize', 18);
grid on

xlim([0.85 1.17])
xticks([0.85 0.9 0.95 1 1.05 1.1 1.15])
grid on
box on
ax = gca;
ax.BoxStyle = 'full';

%hcb.Ruler.Color='k';
% ax = gca; co = ax.XAxis.Color; ax.XAxis.Color = 'black';
% ay = gca; co = ay.YAxis.Color; ay.YAxis.Color = 'black';

% legend('stable','unstable','FontSize',24,'NumColumns',2, 'Location', 'northoutside');

% leg = legend('0.60','0.57','0.50','NumColumns',3,'FontSize',24, 'Location', 'northoutside');
% % leg = legend('0.60','0.57','0.50','FontSize',16)
% [leg,att] = legend('show');
% title(leg,'P_{shell} (mbar)')
% % leg.Title.Visible = 'on';

f = figure(5);  
f.Position = [10 10 800 400]; 
saveas(figure(5),'parameter_space6.tif');
saveas(figure(5),'parameter_space6.fig');
% 
%%

figure (6);
scatter(AB_4(2:6)./(AB_3(2:6)),AB_7(2:6).^3./AB_6(2:6).^3, 200, 'filled','squarek')  
hold on
scatter(AB_4(7:11)./(AB_3(7:11)),AB_7(7:11).^3./AB_6(7:11).^3, 200,'filled', 'or')  

%scatter(AB_4(12:14)./mean(AB_3(12:14)),AB_7(12:14).^3./AB_6(12:14).^3, 200,'filled', 'or') 

set(gca,'FontSize',24, 'FontName', 'Arial');
xlabel('$\frac{P_{core}}{P_{shell}}$', 'Interpreter', 'latex','FontSize',32);
ylabel('$\frac{V_{core}}{V_{drop}}$', 'Interpreter', 'latex','FontSize',32);
grid on

xlim([0.85 1.17])
ylim([0 0.8])

xticks([0.85 0.9 0.95 1 1.05 1.1 1.15])
yticks([0 0.2 0.4 0.6 0.8 1])

grid on
box on
ax = gca;
ax.BoxStyle = 'full';

%hcb.Ruler.Color='k';
% ax = gca; co = ax.XAxis.Color; ax.XAxis.Color = 'black';
% ay = gca; co = ay.YAxis.Color; ay.YAxis.Color = 'black';

%hLeg = legend('Core','Shell','NumColumns',3,'FontSize',16, 'Location', 'northoutside');

f = figure(6);  
f.Position = [10 10 800 400]; 
saveas(figure(6),'frac6.tif');
saveas(figure(6),'frac6.fig');