function [S,sigma,avg] = get_stdMomentFromPDF_v1(x,f,n)
%GET_STDMOMENTFROMPDF_V1 gets the nth standardised moment, std and mean of x from pdf(x)
%%%%%%%%%%%%%%%%%%%%Inputs:%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% f      probability density function (row/column vector)
% x      independent variable (row/column vector. Same size as f)
% n      standardised moment
%%%%%%%%%%%%%%%%%%%%Output:%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% S     nth standardised moment
% std   standard deviation
% avg   mean
%%%%%%%%%%%%%%%%%%%%26-02-2024p.m.%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if ~isequal(size(f),size(x))
    error('f and x must have the same size.');
end

avg = trapz(x,f.*x);
sigma = sqrt(trapz(x,f.*(x.^2)) - avg.^2);

%standardise PDF
xStd = (x-avg)./sigma;
pdfStd = f./trapz(xStd,f);

S = trapz(xStd,pdfStd.*(xStd.^n));

end

