%%
clc
%clear all

%% volume of solution

%https://www.farnell.com/datasheets/1522057.pdf
%density epoxy = Specific gravity * water density

den_Epox_R = 0.998 * 1.17; %g/mL
den_Epox_C = 0.998 * 1.165; %g/mL


sol  = 1.5; %ml
Epox_R = 1/den_Epox_R; %g/(g/mL) >>> ml
Epox_C = 1/den_Epox_C; %g/(g/mL) >>> ml
Mela_sol = 0.5*0.71; %ml
Mela_liq = 0.5*0.29;
%https://www.sigmaaldrich.com/NL/en/product/aldrich/522988
Aci_but = (0.2 *0.45)./0.98; %g/(g/mL) >>> ml
Aci = (0.2 * 0.55)./0.98;%g/(g/mL) >>> ml

toal_diss = (Epox_R + Epox_C + Aci + Aci_but + Mela_sol + Mela_liq)
(Aci_but + Mela_liq)/toal_diss %solvent in dissolved material

su = (sol + Epox_R + Epox_C + Aci + Aci_but + Mela_sol + Mela_liq)

fr_solv = (sol+Mela_liq+Aci_but)/su %volume of solvent

%%
mecapR = 143;
mecoreR =  79;
%mecoreR
me_capV = 4/3*pi*mecapR^3; %um>>um^3
me_coreV = 4/3*pi*mecoreR^3; %um>>um^3
%me_shV = 4/3*pi*meshR^3; %um>>um^3

V_par = (me_capV - me_coreV) *(1-fr_solv)

%r_sh = R_cap_mean.*(1-((V_core./V_cap).^(1/3)));

%V_par = me_shV*(1- fr_solv); %volume in um^3 after solvent evaporation 
%R_part = (V_par*3/4/pi)^(1/3)

Vcap_evap = V_par + me_coreV; %Vol_cap = Vol_sh + Vol_cor;
R_cap = (Vcap_evap*3/4/pi)^(1/3)

R_par = (V_par*3/4/pi)^(1/3)

figure(35)
%plot([R_part R_part], [0,0.08],'--','Color',[0 0 0],'LineWidth',2);
%hold all
plot([R_cap R_cap], [0,0.04],':','Color',[0 0 0],'LineWidth',2);

%%
% mecoreR = 79;
% 
% me_coreV = 4/3*pi*mecoreR^3; %um>>um^3
% 
% meshR = 64;
% me_shV = 4/3*pi*meshR^3; %um>>um^3
% 
% V_par = me_shV*(1- fr_solv); %volume in um^3 after solvent evaporation 
% R_part = (V_par*3/4/pi)^(1/3)
% 
% Vcap_evap = V_par + me_coreV; %Vol_cap = Vol_sh + Vol_cor;
% R_cap = (Vcap_evap*3/4/pi)^(1/3)
% 
% figure(35)
% plot([R_part R_part], [0,0.06],'--','Color',[1 0 0],'LineWidth',1.5);
% hold all
% plot([R_cap R_cap], [0,0.06],':','Color',[1 0 0],'LineWidth',1.5);
% 
% 
% % xlim([70 600])
% % ylim([0 1])
% 


