function plot_PDFandFit_v1(bin,PDF,x_fit,f_fit,x_limit,x_tick)
%GET_PDFANDGAUSSIANFIT plots the probability density function using the
%given histogram (does not have to be normalised)
%%%%%%%%%%%%%%%%INPUTS:%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% bin     bin centres for histogram (row vector)
% PDF     probability density function
% x_fit   x-coordinates of fit
% f_fit   y-coordinates of fit
% x_limit x-axis limits
% x_tick  x_axis ticks
%%%%%%%%%%%%%%%%OUTPUTS:%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%Functions required:%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%1. get_sphereVolume_v01
%%Change log:%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%Remarks:%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%To adjust axis labels,  modify ax_bottom.XTick = 0:50:200;
%To adjust axis limits, 
%%%%%%%%%%%%%%%%%%%version 08-03-2024p.m.%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

h = [];
legendName = {};
figure
%     box on
ax_radius = axes();
hold(ax_radius);
grid(ax_radius);
ax_radius.XAxisLocation = 'top';
ax_radius.YAxisLocation = 'left';
ylabel(ax_radius,'$PDF (\mu m^{-1})$','interpreter','latex');
xlabel(ax_radius,'$R (\mu m)$','interpreter','latex');
bar(ax_radius,bin, PDF,'FaceColor',[0.76,0.84,0.40],'EdgeColor',[0.76,0.84,0.40]);
axis manual
h(end+1) = plot(ax_radius,x_fit,f_fit,'LineWidth',1.5,'color','k');
legendName{end+1} = 'Gaussian';
xlim(x_limit);
ax_radius.XTick = x_tick;
% xlim([0 150])    %<-- you may need to adjust this depending on droplet size
% ax_radius.XTick = 0:50:200;   %<-- you may need to adjust this depending on droplet size
%see https://nl.mathworks.com/matlabcentral/answers/509899-plot-with-two-related-x-axes

% ax_volume = axes(); % axis to appear at top
% hold(ax_volume);
% ax_volume.XAxisLocation = 'bottom';
% ax_volume.YAxisLocation = 'right';
% ax_volume.YTick = [];
% ax_volume.Color = 'none';
% xlabel(ax_volume, '$V (mm^3)$', 'Interpreter', 'latex');
% linkprop([ax_radius, ax_volume],{'Units','Position','ActivePositionProperty'});
% xTicksAxBottom = xticks(ax_radius);
% ax_volume.XTick = xTicksAxBottom;
% ax_volume.XLim = xlim(ax_radius);
% for k = 1:length(xTicksAxBottom)
%     xaxisTickLabels{k} = num2str(get_sphereVolume_v01(xTicksAxBottom(k)).*(1e-9),'%.4f');    %convert to mm3
% end
% ax_volume.XTickLabel = xaxisTickLabels;

%     ax_top.XLim = get_sphereVolume_v01(xlim(ax_bottom)).*(1e-9);
%     set(gca,'FontSize',24);
%     hLeg = legend('bar','data','gaussian fit');
legend(h,legendName,'location','best')

end
